from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from django.contrib.auth.models import User

from .models import UserProfile,Context,UserRating,RestaurantSimilarityMatrix, UserSimilarityMatrix, ValidateRating

# Define an inline admin descriptor for UserProfile model
class UserProfileInline(admin.StackedInline):
  model = UserProfile
  can_delete = False

# Define a new User admin
class UserAdmin(UserAdmin):
    list_display = ('id', 'username', 'date_joined')
    list_filter = ('id', )
    inlines = (UserProfileInline, )

# Re-register UserAdmin
admin.site.unregister(User)
admin.site.register(User, UserAdmin)

# Define a new UserRating admin
class UserRatingAdmin(admin.ModelAdmin):
    list_display = ('user', 'restaurant', 'context', 'value','updated_at')
    list_filter = ('user', )

# Define a new UserRating admin
class ValidateRatingAdmin(admin.ModelAdmin):
    list_display = ('user', 'restaurant', 'context', 'value','method','updated_at')
    list_filter = ('user', )

admin.site.register(ValidateRating,ValidateRatingAdmin)
admin.site.register(Context)
admin.site.register(RestaurantSimilarityMatrix)
admin.site.register(UserSimilarityMatrix)
admin.site.register(UserRating,UserRatingAdmin)