from django.core.management.base import BaseCommand
from recapp.models import Restaurant, UserVector
import numpy as np
import heapq

class Command(BaseCommand):
    help = 'populate database'

    def handle(self, *args, **options):
        liste = self.cb_rec(1,1,False)
        self.stdout.write(str(liste))

    def special_euclidian_dist(self,x,y):
        b = x > 0.5
        x_ = b*x + (1-b)*(1-x)
        return np.sqrt(np.sum((x_-y)**2))

    def cb_rec(self,user_id,context_id,cold_start,ratings=None):
        results = {}

        if cold_start:
            this_rest = Restaurant.objects.get(factual_id=ratings[0].restaurant)

            for rest in Restaurant.objects.all():
                if rest.factual_id == this_rest.factual_id:
                    pass
                results[rest.factual_id] = self.special_euclidian_dist(this_rest.get_vector(),rest.get_vector())

        else:
            user_vector = np.array(UserVector.objects.get(user_id=user_id,context_id=context_id).get_vector_without_demo())
            for rest in Restaurant.objects.all():
                results[rest.factual_id] = self.special_euclidian_dist(user_vector,np.array(rest.get_vector()))
        restList = heapq.nsmallest(10, results, key=results.get)
        return [(factual_id,results[factual_id]) for factual_id in restList]




