from django.core.management.base import BaseCommand
from recapp.models import Restaurant, Context, UserRating
from django.contrib.auth.models import User
import numpy as np

class Command(BaseCommand):
    help = 'runs your code in the django environment'




    def handle(self, *args, **options):
        final_dict = {}
        fields = ['locality','name','cuisine','price','rating','attire','reservations','parking','smoking','alcohol','wifi','kids_menu',
            'options_vegetarian','meal_takeout','accessible_wheelchair','seating_outdoor']


        contexts = {}
        for context in Context.objects.all():
            users = {}
            for user in User.objects.all():
                pos = []
                neg = []
                if len(UserRating.objects.filter(user=user.id, value=1,context=context.id)) < 1 or len(UserRating.objects.filter(user=user.id, value=-1,context=context.id)) < 1 or len(UserRating.objects.filter(user=user.id,context=context.id)) < 5:
                    continue
                for rating in UserRating.objects.filter(user=user.id,context=context.id):
                    rest = np.asarray(Restaurant.objects.get(factual_id=rating.restaurant).get_vector())
                    if rating.value == 1:
                        pos.append(rest)
                    else:
                        neg.append(rest)

                average_pos = np.mean(pos, axis=0)
                average_neg = np.mean(neg, axis=0)

                users[user.id] = self.euclidian_dist(average_pos,average_neg)
            contexts[context.name] = users

        for context,context_dict in contexts.items():
            for user, values in context_dict.items():
                self.stdout.write(str(context) + "\t" + str(user) + "\t" + str(values) + "\n")




    def euclidian_dist(self,x,y):
        return np.sum((x-y)**2)




