from django.core.management.base import BaseCommand
from recapp.models import RestaurantSimilarityMatrix, Restaurant
import numpy as np

class Command(BaseCommand):
    help = 'runs your code in the django environment'

    def handle(self, *args, **options):
        for this_rest in Restaurant.objects.all():
            similar_dict = {}
            for other_rest in Restaurant.objects.all():
                if this_rest.factual_id == other_rest.factual_id:
                    continue
                similar_dict[other_rest.factual_id] = self.euclidian_dist(np.asarray(this_rest.get_vector()),np.asarray(other_rest.get_vector()))

            sorted_rests = sorted(similar_dict, key=similar_dict.get)

            rest_matrix = RestaurantSimilarityMatrix.objects.get_or_create(restaurant=this_rest.factual_id)[0]
            rest_matrix.set_recs(sorted_rests)
            rest_matrix.save()


    def euclidian_dist(self, x,y):
        return np.sum((x-y)**2)