from django.core.management.base import BaseCommand
from recapp.models import UserSimilarityMatrix, Restaurant, UserVector
import numpy as np

class Command(BaseCommand):
    help = 'runs your code in the django environment'

    def handle(self, *args, **options):
        for vector in UserVector.objects.all():
            context_id = vector.context.id
            user_id = vector.user.id

            similar_dict = {}
            for rest in Restaurant.objects.all():
                similar_dict[rest.factual_id] = self.special_euclidian_dist(np.asarray(vector.get_vector_without_demo()),np.asarray(rest.get_vector()))

            sorted_rests = sorted(similar_dict, key=similar_dict.get)

            rest_matrix = UserSimilarityMatrix.objects.get_or_create(user=user_id,context_id=context_id)[0]
            rest_matrix.set_recs(sorted_rests)
            rest_matrix.save()

    def special_euclidian_dist(self,x,y):
        b = x > 0.5
        x_ = b*x + (1-b)*(1-x)
        return np.sqrt(np.sum((x_-y)**2))