from recapp.models import Cuisine, Context
from django.core.management.base import BaseCommand

cuisines = ['Irish', 'Californian', 'Raw', 'Middle Eastern', 'Contemporary', 'American', 'Sandwiches', 'Bakery',
             'Fast Food', 'Ribs', 'Bistro', 'Korean', 'Eclectic', 'French', 'Fusion', 'Seafood', 'Grill', 'Wraps',
             'British', 'Donuts', 'Vietnamese', 'Spanish', 'Puerto Rican', 'Pub Food', 'Continental', 'Italian',
             'Gyros', 'Argentine', 'Vegetarian', 'German', 'International', 'Indian', 'Afghan', 'Cuban', 'Salad',
             'Cafe', 'Scandinavian', 'Brazilian', 'Egyptian', 'Eastern European', 'Smoothies', 'Russian', 'Australian',
             'Healthy', 'Tex Mex', 'Lebanese', 'Mediterranean', 'Vegan', 'Crepes', 'Polish', 'Malaysian', 'Steak',
             'Fondue', 'Tea', 'Soul Food', 'Latin', 'Noodle Bar', 'Moroccan', 'Pastries', 'Dominican', 'Pacific Rim',
             'Japanese', 'Pakistani', 'Asian', 'Mexican', 'African', 'Organic', 'Jamaican', 'English', 'Israeli',
             'Venezuelan', 'European', 'Thai', 'Portuguese', 'Soup', 'Bagels', 'Barbecue', 'Traditional', 'Dim Sum',
             'Pizza', 'Cambodian', 'Wings', 'Gastropub', 'Sushi', 'Pasta', 'Coffee', 'Austrian', 'Ethiopian',
             'Mongolian', 'Belgian', 'Latin American', 'Hot Dogs', 'Diner', 'South African', 'Frozen Yogurt', 'Creole',
             'Chinese', 'Dutch', 'South American', 'Deli', 'Halal', 'Indonesian', 'Southwestern', 'Ukrainian', 'Tapas',
             'Chowder', 'Ice Cream', 'Cajun', 'Kosher', 'Pan Asian', 'Chicken', 'Caribbean', 'Hawaiian', 'Burgers',
             'Oysters', 'Southern', 'Peruvian', 'Turkish', 'Subs', 'Filipino', 'Greek']

class Command(BaseCommand):
    help = 'populate database'

    def handle(self, *args, **options):
        def add_con(name):
            c = Context.objects.get_or_create(name=name)[0]
            return c

        def add_cui(name):
            c = Cuisine.objects.get_or_create(name=name)[0]
            return c

        add_con('Business')
        add_con('Special')
        add_con('Casual')
        add_con('Romantic')

        for cui in cuisines:
            add_cui(cui)

        # Print out what we have added to the user.
        for c in Context.objects.all():
            self.stdout.write('- {0} '.format(str(c)))

        for c in Cuisine.objects.all():
            self.stdout.write('- {0} '.format(str(c)))