from django.core.management.base import BaseCommand
from recapp.models import Restaurant, Context, UserRating,Cuisine
import numpy as np

class Command(BaseCommand):
    help = 'runs your code in the django environment'




    def handle(self, *args, **options):
        null_dict = {}
        fields = ['locality','name','cuisine','price','rating','attire','reservations','parking','smoking','alcohol','wifi','kids_menu',
            'options_vegetarian','meal_takeout','accessible_wheelchair','seating_outdoor']

        for context in Context.objects.all():
            self.stdout.write(str(context.name))
            summed_price = []
            summed_rating = []
            summed_attire = []
            summed_cuisine = []
            summed_booleans = []
            count = 0
            for rating in UserRating.objects.filter(context_id=context.id):
                if rating.value == 1:
                    rest_vector = Restaurant.objects.get(factual_id=rating.restaurant)
                    if(count == 0):
                        summed_price = np.asarray(rest_vector.get_price_vector())
                        summed_rating = np.asarray(rest_vector.get_rating_vector())
                        summed_attire = np.asarray(rest_vector.get_attire_vector())
                        summed_cuisine = np.asarray(rest_vector.get_cuisine_vector())
                        summed_booleans = np.asarray(rest_vector.get_boolean_vector())
                    else:
                        summed_price += np.asarray(rest_vector.get_price_vector())
                        summed_rating += np.asarray(rest_vector.get_rating_vector())
                        summed_attire += np.asarray(rest_vector.get_attire_vector())
                        summed_cuisine += np.asarray(rest_vector.get_cuisine_vector())
                        summed_booleans += np.asarray(rest_vector.get_boolean_vector())
                else:
                    rest_vector = Restaurant.objects.get(factual_id=rating.restaurant)
                    if(count == 0):
                        summed_price = np.asarray(rest_vector.get_price_vector())
                        summed_rating = np.asarray(rest_vector.get_rating_vector())
                        summed_attire = np.asarray(rest_vector.get_attire_vector())
                        summed_cuisine = np.asarray(rest_vector.get_cuisine_vector())
                        summed_booleans = np.asarray(rest_vector.get_boolean_vector())
                    else:
                        summed_price -= np.asarray(rest_vector.get_price_vector())
                        summed_rating -= np.asarray(rest_vector.get_rating_vector())
                        summed_attire -= np.asarray(rest_vector.get_attire_vector())
                        summed_cuisine -= np.asarray(rest_vector.get_cuisine_vector())
                        summed_booleans -= np.asarray(rest_vector.get_boolean_vector())
                count += 1

            self.stdout.write("Price: " + str(summed_price/count))
            self.stdout.write("Rating: " + str(summed_rating/count))
            self.stdout.write("Attire: " + str(summed_attire/count))
            cuisines = [cuisine.name for cuisine in Cuisine.objects.all()]
            unsorted = list(zip(cuisines,summed_cuisine/count))
            sorter = sorted(unsorted, key=lambda tup: tup[1])
            self.stdout.write("Cuisine: " + str(sorter[-3:]))
            vector = ["reservations","parking","smoking","alcohol","wifi","kids menu","veggie","takeout","wheelchair","outdoor"]
            self.stdout.write("Booleans: " + str(list(zip(vector,summed_booleans/count))) + "\n" + "\n")




