from django.core.management.base import BaseCommand
from recapp.models import Restaurant, ValidateRating, UserRating, Context
from django.contrib.auth.models import User
import csv

class Command(BaseCommand):
    help = 'runs your code in the django environment'

    def handle(self, *args, **options):
        context_dict = {}
        for context in Context.objects.all():
            results = {}
            for user in User.objects.all():
                if len(ValidateRating.objects.filter(context=context,user=user.id, method='cb')) < 1 or len(ValidateRating.objects.filter(context=context,user=user.id, method='cf')) < 1:
                    continue
                methods = {}
                for method in ["cf","cb","randoms"]:
                    answers = {1:0,0:0,-1:0}
                    for rating in ValidateRating.objects.filter(user=user.id,method=method):
                        answers[rating.value] += 1
                    methods[method] = answers

                accuracy_cb = methods["cb"][1] / (methods["cb"][1] + methods["cb"][-1])
                accuracy_cf = methods["cf"][1] / (methods["cf"][1] + methods["cf"][-1])
                accuracy_randoms = methods["randoms"][1] / (methods["randoms"][1] + methods["randoms"][-1])
                num_ratings = len(UserRating.objects.filter(user=user.id,context=context))
                results[user.id] = [accuracy_cb,accuracy_cf,accuracy_randoms,num_ratings]

            context_dict[context.name] = results

        # with open('mordi.csv', 'w') as csvfile:
        #     spamwriter = csv.writer(csvfile, delimiter=',',
        #                             quotechar='|', quoting=csv.QUOTE_MINIMAL)
        #
        #     for context, result_dict in context_dict.items():
        #         spamwriter.writerow(context)
        #         for user,result in result_dict.items():
        #             spamwriter.writerow([user] + result)


