# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-06-10 12:01
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Context',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Cuisine',
            fields=[
                ('name', models.CharField(max_length=20, primary_key=True, serialize=False, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='RestaurantSimilarityMatrix',
            fields=[
                ('restaurant', models.CharField(max_length=100, primary_key=True, serialize=False, unique=True)),
                ('recs', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sex', models.CharField(blank=True, choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('nationality', models.CharField(blank=True, choices=[('Norwegian', 'Norwegian'), ('Other Nordic', 'Other Nordic'), ('United Kingdom and Ireland', 'United Kingdom and Ireland'), ('Germany and Benelux', 'Germany and Benelux'), ('Southern and Western Europe', 'Southern and Western Europe'), ('Eurasia', 'Eurasia'), ('Central Europe', 'Central Europe'), ('North America', 'North America'), ('Other America', 'Other America'), ('China and North-West Asia', 'China and North-West Asia'), ('Other Asia', 'Other Asia'), ('Africa', 'Africa')], max_length=50, null=True)),
                ('birthyear', models.IntegerField(blank=True, choices=[(1930, 1930), (1931, 1931), (1932, 1932), (1933, 1933), (1934, 1934), (1935, 1935), (1936, 1936), (1937, 1937), (1938, 1938), (1939, 1939), (1940, 1940), (1941, 1941), (1942, 1942), (1943, 1943), (1944, 1944), (1945, 1945), (1946, 1946), (1947, 1947), (1948, 1948), (1949, 1949), (1950, 1950), (1951, 1951), (1952, 1952), (1953, 1953), (1954, 1954), (1955, 1955), (1956, 1956), (1957, 1957), (1958, 1958), (1959, 1959), (1960, 1960), (1961, 1961), (1962, 1962), (1963, 1963), (1964, 1964), (1965, 1965), (1966, 1966), (1967, 1967), (1968, 1968), (1969, 1969), (1970, 1970), (1971, 1971), (1972, 1972), (1973, 1973), (1974, 1974), (1975, 1975), (1976, 1976), (1977, 1977), (1978, 1978), (1979, 1979), (1980, 1980), (1981, 1981), (1982, 1982), (1983, 1983), (1984, 1984), (1985, 1985), (1986, 1986), (1987, 1987), (1988, 1988), (1989, 1989), (1990, 1990), (1991, 1991), (1992, 1992), (1993, 1993), (1994, 1994), (1995, 1995), (1996, 1996), (1997, 1997), (1998, 1998), (1999, 1999), (2000, 2000), (2001, 2001), (2002, 2002), (2003, 2003), (2004, 2004), (2005, 2005), (2006, 2006), (2007, 2007), (2008, 2008), (2009, 2009), (2010, 2010), (2011, 2011), (2012, 2012), (2013, 2013), (2014, 2014), (2015, 2015), (2016, 2016)], null=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserRating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('restaurant', models.CharField(max_length=100)),
                ('value', models.IntegerField(default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recapp.Context')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserSimilarityMatrix',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=100)),
                ('recs', models.TextField()),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recapp.Context')),
            ],
        ),
        migrations.CreateModel(
            name='UserVector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cuisine', models.CharField(default='[0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5]', max_length=1000)),
                ('price', models.CharField(default='[0.5,0.5,0.5,0.5,0.5]', max_length=200)),
                ('rating', models.CharField(default='[0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5]', max_length=200)),
                ('attire', models.CharField(default='[0.5,0.5,0.5,0.5,0.5]', max_length=200)),
                ('reservations', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('parking', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('smoking', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('alcohol', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('wifi', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('kids_menu', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('options_vegetarian', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('meal_takeout', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('accessible_wheelchair', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('seating_outdoor', models.DecimalField(decimal_places=3, default=0.5, max_digits=10)),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recapp.Context')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ValidateRating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('restaurant', models.CharField(max_length=100)),
                ('value', models.IntegerField(default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('origin', models.IntegerField()),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recapp.Context')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='validaterating',
            unique_together=set([('user', 'restaurant', 'context', 'origin')]),
        ),
        migrations.AlterUniqueTogether(
            name='uservector',
            unique_together=set([('user', 'context')]),
        ),
        migrations.AlterUniqueTogether(
            name='usersimilaritymatrix',
            unique_together=set([('user', 'context')]),
        ),
        migrations.AlterUniqueTogether(
            name='userrating',
            unique_together=set([('user', 'restaurant', 'context')]),
        ),
    ]
